{% extends 'base.html.twig' %}

{% block title %}Category{% endblock %}

{% block body %}
    <h1>Category</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Nom de catégorie</th>
                <td>{{ category.name }}</td>
            </tr>
        </tbody>
    </table>

       <h3> L'ensemble des cadeaux de cette catégorie : </h3>
    
     {% set total = null %}

        {% for cadeau in category.cadeau %}
        <table class="table">
            <tbody>
                <tr>
                     <th>Désignation : </th>
                     <td>{{ cadeau.designation }}</td>

                     {% set total = total + cadeau.price %}
                </tr>
        {% endfor %}
                {% set moy = total / category.cadeau|length %}
            </tbody>
        </table>  

        <h3> la moyenne des prix des cadeaux de cette catégorie : {{moy}} </h3>

    <br/>

    <a href="{{ path('category_index') }}">Retour à la liste des catégories</a>

    <a href="{{ path('category_edit', {'id': category.id}) }}">Modifier</a>

    {{ include('category/_delete_form.html.twig') }}
{% endblock %}
